backend:
  image: registry.gitlab.com/czytaj-to/czytaj-to-backend:master
  links:
    - db
    - rabbitmq
  command: python manage.py runserver 0.0.0.0:8000 --settings czytajto.settings.staging
  env_file: .env
  environment:
    - PYTHONUNBUFFERED=1
  entrypoint: ["./django-entrypoint-staging.sh"]
  volumes:
    - 'static:/static'
    - 'media:/media'
  labels:
    io.rancher.container.pull_image: always
db:
  image: mdillon/postgis:latest
  restart: always
  volumes_from:
    - dbdata
  labels:
    - io.rancher.sidekicks=dbdata

dbdata:
  image: mdillon/postgis:latest
  volumes:
    - /var/lib/postgresql
  command: "true"
  labels:
    - io.rancher.container.start_once=true

nginx:
  image: registry.gitlab.com/czytaj-to/czytaj-to-nginx:master
  links:
    - backend
  volumes:
    - 'static:/static'
    - 'media:/media'

worker:
  image: registry.gitlab.com/czytaj-to/czytaj-to-backend:master
  command: celery -A czytajto worker --loglevel=info
  entrypoint: ["./celery-entrypoint.sh"]
  links:
    - db
    - rabbitmq
  env_file: .env
  volumes:
    - 'media:/media'
    - 'static:/static'
  environment:
    - C_FORCE_ROOT=true
    - DJANGO_SETTINGS_MODULE=czytajto.settings.staging
  labels:
    - "io.rancher.container.network=true"

rabbitmq:
  image: rabbitmq:latest
  env_file: .env
  labels:
    - "io.rancher.container.network=true"